{{ define "main" }}

<!-- checking blog -->
{{ if or (eq .Section "post") (eq .Section "posts") (eq .Section "blog") (eq .Section "blogs") (eq .Section "news") (eq
.Section "categories") (eq .Section "tags") }}



testttttttt
<ul class="post-meta mb-2">
  {{ range .Params.authors }}
  <li><a class="text-uppercase" href="{{`categories` | relURL}}/{{. | urlize | lower}}">
    {{ . }}
  </a></li>
  {{ end }}
</ul>

<section class="section bg-white">
  <div class="container">
    <div class="row section pt-0">
      <div class="col-12 col-lg-9 mx-auto">
        {{ partial "image.html" (dict "Src" .Params.image "Class" "mb-5 rounded w-100" )}}
        <div class="mb-4">
          <h1 class="h2 fw-light mb-3">{{.Title}}</h1>
          <div class="d-flex">
            <span>{{ time.Format ":date_long" .PublishDate }}</span>
            <span class="px-3">|</span>
            <span>{{ .ReadingTime }} {{ i18n `min_read` }}</span>
  
            <ul class="post-meta list-unstyle">
              <li class="text-capitalize ms-4">categories : {{ range .Params.categories }}
                <a href="{{`categories` | relURL}}/{{. | urlize | lower}}">{{ . }}</a>
                {{ end }}</li>
          </div>
          </ul>
          
          <ul class="post-meta list-unstyle">
            <li class="text-capitalize ms-4">authors : {{ range .Params.authors }}
              <a href="{{`authors` | relURL}}/{{. | urlize | lower}}">{{ . }}</a>
              {{ end }}</li>
          </div>
          </ul>

        </div>

        <div class="content">
          {{.Content}}
        </div>
        <!-- comments -->
        {{ if .Site.DisqusShortname }}
        <div class="mt-5">
          {{ template "_internal/disqus.html" . }}
        </div>
        {{ end }}

      </div>
    </div>

    <div class="row">
      <div class="col-12 col-lg-10 mx-auto text-center">
        <h2 class="mb-5 text-capitalize">popular post</h2>
      </div>
    </div>


    <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 gy-4">
      {{ $related := (where site.RegularPages "Section" "in" site.Params.mainSections) }}
      {{ range first 3 $related }}
      <div class="col">
        <div class="blog-card card mb-3">
          <div class="card-img position-relative">
            {{ partial "image.html" (dict "Src" .Params.image "Class" "w-100 card-img-top")}}
            <div class="post-info">
              <span class="text-uppercase">{{ time.Format ":date_long" .PublishDate }}</span>
            </div>
          </div>

          <div class="card-body">
            <ul class="post-meta mb-2">
              {{ range .Params.categories }}
              <li><a class="text-uppercase" href="{{`categories` | relURL}}/{{. | urlize | lower}}">
                {{ . }}
              </a></li>
              {{ end }}
            </ul>
            <h2 class="h4 fw-light mb-3"><a class="post-title" href="{{.RelPermalink}}">{{ .Title }} </a></h2>
            <p class="card-text mb-4">{{ .Summary | truncate 80 }}</p>
            <a class="btn btn-outline-primary btn-sm" href="{{.RelPermalink}}">{{i18n `read_more`}}</a>
          </div>
        </div>
      </div>
      <!-- col end -->
      {{ end }}
    </div>

  </div>
</section>


<!-- regular page -->
{{ else }}
{{ partial "components/page-header.html" . }}
<section class="section-sm">
  <div class="container">
    <div class="row">
      <div class="col-lg-10 mx-auto">
        {{ if .Params.image}}
        {{ partial "image.html" (dict "Src" .Params.image "Class" "mb-5")}}
        {{ end }}
        <div class="content">
          {{.Content}}
        </div>
      </div>
    </div>
  </div>
</section>
{{ end }}
<!-- /regular page -->

{{ end }}